#include <KnockDetector.h>  //کتابخانه تشخیص ضربه

const int sensorInputPin = A0;  //تنظیم پایه برای خواندن ورودی آنالوگ

void callback(float, long);  //تابع callbACK
KnockDetector knockDetector(20, 5, callback);  //ایجاد شی از کلاس کتابخانه

void callback(float knockIntensity, long pulseLength) {  //تابع کال بک
  Serial.println("Knock detected!");
  Serial.print("Knock intensity: ");Serial.println(knockIntensity);
  Serial.print("Knock Pulse length in microseconds: ");Serial.println(pulseLength);
}

void setup() {
  Serial.begin(9600);
}

void loop() {
    knockDetector.loop(analogRead(sensorInputPin));  //خواندن مقدار
}
